Bug 1468226 - [Nfs-Ganesha] Unexport fails with pure disperse volume
[Nfs-Ganesha] Unexport fails with pure disperse volume
Status: ASSIGNED
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: nfs-ganesha (Show other bugs)
3.3
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Kaleb KEITHLEY
Manisha Saini
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-06 07:46 EDT by Arthy Loganathan
Modified: 2018-03-03 13:09 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Arthy Loganathan 2017-07-06 07:46:16 EDT
Description of problem:
unexport fails with the error,"volume set: failed: Dynamic export addition/deletion failed. Please see log file for details"

[root@dhcp46-115 ~]# showmount -e
Export list for dhcp46-115.lab.eng.blr.redhat.com:
/testvol_dispersed (everyone)

[root@dhcp46-115 ~]# gluster v set testvol_dispersed ganesha.enable off
volume set: failed: Dynamic export addition/deletion failed. Please see log file for details

Version-Release number of selected component (if applicable):
nfs-ganesha-gluster-2.4.4-10.el7rhgs.x86_64
glusterfs-ganesha-3.8.4-31.el7rhgs.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Create 1*(4+2) volume and mount it on 2 clients.
2. Create deep dirs and files
3. umount volume
4. Again mount a sub directory from 2 clients.
5. Create deep dirs and files
6. umount volume
7. Try to unexport volume.

Step 1 to step 6 : I tried running it with automation
Step 7 : I did manually to check if the issue exists even when I execute the CLI manually.

Actual results:
Unexport fails in pure disperse volume

Expected results:
Unexport should get succeeded.

Additional info:

dbus mesg:
-----------

Error org.freedesktop.DBus.Error.NoReply: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.


[root@dhcp46-115 ~]# showmount -e
Export list for dhcp46-115.lab.eng.blr.redhat.com:
/testvol_dispersed (everyone)

[root@dhcp46-115 ~]# gluster v set testvol_dispersed ganesha.enable off
volume set: failed: Dynamic export addition/deletion failed. Please see log file for details

[root@dhcp46-115 ~]# showmount -e
Export list for dhcp46-115.lab.eng.blr.redhat.com:
[root@dhcp46-115 ~]#

[root@dhcp46-115 ~]# cat /var/run/gluster/shared_storage/nfs-ganesha/exports/export.testvol_dispersed.conf
# WARNING : Using Gluster CLI will overwrite manual
# changes made to this file. To avoid it, edit the
# file and run ganesha-ha.sh --refresh-config.
EXPORT{
      Export_Id = 2;
      Path = "/testvol_dispersed";
      FSAL {
           name = GLUSTER;
           hostname="localhost";
          volume="testvol_dispersed";
           }
      Access_type = RW;
      Disable_ACL = true;
      Squash="No_root_squash";
      Pseudo="/testvol_dispersed";
      Protocols = "3", "4" ;
      Transports = "UDP","TCP";
      SecType = "sys";
     }
[root@dhcp46-115 ~]# gluster vol info testvol_dispersed
 
Volume Name: testvol_dispersed
Type: Disperse
Volume ID: 123d0b98-7337-4679-abff-5c8d2fd85a9e
Status: Started
Snapshot Count: 0
Number of Bricks: 1 x (4 + 2) = 6
Transport-type: tcp
Bricks:
Brick1: dhcp46-115.lab.eng.blr.redhat.com:/bricks/brick0/testvol_dispersed_brick0
Brick2: dhcp46-139.lab.eng.blr.redhat.com:/bricks/brick0/testvol_dispersed_brick1
Brick3: dhcp46-124.lab.eng.blr.redhat.com:/bricks/brick0/testvol_dispersed_brick2
Brick4: dhcp46-131.lab.eng.blr.redhat.com:/bricks/brick0/testvol_dispersed_brick3
Brick5: dhcp46-240.lab.eng.blr.redhat.com:/bricks/brick0/testvol_dispersed_brick4
Brick6: dhcp46-115.lab.eng.blr.redhat.com:/bricks/brick1/testvol_dispersed_brick5
Options Reconfigured:
ganesha.enable: on
features.cache-invalidation: on
transport.address-family: inet
nfs.disable: on
nfs-ganesha: enable
cluster.enable-shared-storage: enable
[root@dhcp46-115 ~]#

In all the other nodes of the cluster, volume is exported.

[root@dhcp46-124 ~]# showmount -e
Export list for dhcp46-124.lab.eng.blr.redhat.com:
/testvol_dispersed (everyone)

No error messages seen in /var/log/messages and in ganesha logs.
Comment 3 Daniel Gryniewicz 2017-07-06 09:15:46 EDT
This is possible.  Default timeout appears to be 25 seconds.  How long does this seem to take?
Comment 4 Jiffin 2017-07-06 09:37:16 EDT
(In reply to Daniel Gryniewicz from comment #3)
> This is possible.  Default timeout appears to be 25 seconds.  How long does
> this seem to take?

Need to check actually, my guess it might be a little bit more than timeout
Comment 5 Arthy Loganathan 2017-07-07 10:15:02 EDT
As Jiffin suggested, if --reply-timeout=60000 is added to dbus command or if we remove all the files and dirs from mount point before unexporting the volume, the issue is not seen.

Note You need to log in before you can comment on or make changes to this bug.